Test::Class::MethodInfo(3)

NAME
Test::Class::MethodInfo - the info associated with a test method

VERSION
version 0.50

SYNOPSIS
  # Secret internal class
  # not for public use

DESCRIPTION
Holds info related to particular test methods. Not part of the public API and likely to change or completely disappear. If you need to rely on any of this code let me know and we'll see if we can work something out.

METHODS

new
is_method_type
is_num_tests
is_type
name
type
num_tests

BUGS
None known at the time of writing. Apart from the fact this seems a bit gnarly so I'm likely to tidy it up at some point.

If you find any please let me know by e-mail, or report the problem with <http://rt.cpan.org/>.

TO DO
If you think this module should do something that it doesn't (or does something that it shouldn't) please let me know.

You can see my current to do list at <http://adrianh.tadalist.com/lists/public/15423>, with an RSS feed of changes at <http://adrianh.tadalist.com/lists/feed_public/15423>.

AUTHOR
Adrian Howard <adrianh@quietstars.com>

If you can spare the time, please drop me a line if you find this module useful.

SEE ALSO

Test::Class
    What you should be looking at rather than this internal stuff

LICENCE
Copyright 2006 Adrian Howard, All Rights Reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.